Issue 44891 - New record is not opened in the subform after inserting a new record into the main form
Summary: New record is not opened in the subform after inserting a new record into the...
Status: CLOSED FIXED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: OOo 2.0 Beta
Hardware: PC All
: P3 Trivial with 3 votes (vote)
Target Milestone: OOo 2.2
Assignee: marc.neumann
QA Contact: issues@dba
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-12 17:08 UTC by jspitz
Modified: 2007-04-23 13:06 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
DB with sample form with subform (10.15 KB, application/vnd.sun.xml.base)
2005-03-12 17:09 UTC, jspitz
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description jspitz 2005-03-12 17:08:37 UTC
I have a simple form with linked subform (both as table views). When I insert a
new record into the main form and change focus to the subform (either by mouse
or by Shift-Enter), than the record in the main form is posted (a new row with
asterisk appears).

I would expect that a new record would be simultaneously opened in the subform
but this does not happen. I have to either switch to to another record and back
in the main form or to push button "Refresh". After that apeears a new detail
record.

Tested on 680m85 CS-cz under Linux x386 and Windows XP SP2.
Comment 1 jspitz 2005-03-12 17:09:59 UTC
Created attachment 23736 [details]
DB with sample form with subform
Comment 2 Frank Schönheit 2005-03-15 08:09:37 UTC
confirming (on Windows -> OS="All")
If you enter a new record in the main form, and mouse-click into the sub form,
then the main form record is saved, but this is not reflected in the sub form.
Comment 3 Frank Schönheit 2006-08-10 09:57:47 UTC
want to have this for 2.x. Related to issue 64898
Comment 4 Frank Schönheit 2006-12-06 13:27:06 UTC
fixed in CWS dba22b

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=SRC680%2Fdba22b
Comment 5 Frank Schönheit 2007-01-04 10:15:37 UTC
fs-> msc: please verify in CWS dba22b
Comment 6 Frank Schönheit 2007-01-04 12:48:20 UTC
targeting to 2.2, since the fix is part of a CWS aiming for this release
Comment 7 marc.neumann 2007-01-05 14:13:30 UTC
verified in CWS dba22b

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=SRC680%2Fdba22b
Comment 8 kpalagin 2007-04-17 09:54:51 UTC
Verified with 2.2m14 - mouse-clicking in subform causes new record to appear.
Pressing Shift-Enter does nothing (not sure if it is supposed to do anything).

Found crash, filed issue
http://www.openoffice.org/issues/show_bug.cgi?id=76434.
Comment 9 drewjensen.inbox 2007-04-23 13:06:22 UTC
Test with 2.2.1 Build 1040 under winXP.

Using attached database: entering new record in Master form automatically places
the sub_form on the insert record and copies linked fields value to appropriate
cell.

The correct behavior with:
Post master table record by moving to sub_form
Post master table record by switching to different record in Master table.
Post master table record by switching to separate dataform (added to form), not
the linked sub_forms dataform.
Post master table record by using navigator.

Encountered no crashes.